Subject: Re: bug#15002: 24.3; W7 right-click "Open with ..." does not associate runemacs.exe

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jan 2021 17:16:52 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 20 Jan 2021 03:47:11 +0100
> Cc: [email-masked]
> 
> Joseph Giampapa <[email-masked]> writes:
> 
> > 6. <=== The Problem ===>
> >    Right click "foo.bib", "bar.tex", or "foobar.txt", "Open with ..." does not
> >    allow me to select "C:\Program Files (x86)\GNU\emacs-24.3\bin\runemacs.exe".
> >    "Open with" presents me with a dialog box. I choose the "Browse..." button,
> >    navigate to "runemacs.exe", double-click the file, which populates the text
> >    box, but when I press "Open", "runemacs.exe" does not appear in the "Open
> >    with" dialog box as a program that I can choose.
> 
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
> 
> I can't recall seeing any similar bug reports, so I'm wondering whether
> you're still seeing this in more recent versions of Emacs?

I just tried that, both on Windows 7 and on Windows 10, and the recipe
worked for me in both cases.

So I do think this was something specific to that system, not a
general problem in Emacs.